发布时间 :2002-10-11 00:00:00
修订时间 :2016-10-17 22:24:06

[原文]The installation procedure for Invision Board suggests that users install the phpinfo.php program under the web root, which leaks sensitive information such as absolute pathnames, OS information, and PHP settings.

[CNNVD]Invision Board phpinfo.php远程信息泄露漏洞(CNNVD-200210-249)

        Invision Board是一款基于PHP的留言板程序。
        Invision Board安装时不恰当地拷贝了脚本文件,远程攻击者可以利用这个漏洞获得系统敏感信息。
        Invision Board安装时会拷贝phpinfo.php文件到应用程序当前目录,文件包含对phpinfo()的调用,攻击者可以直接调用这个php脚本文件,获得PHP模块信息、设置、系统变量等信息。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BUGTRAQ  20020924 Information Disclosure with Invision Board installation (fwd)
(VENDOR_ADVISORY)  XF  invision-phpinfo-information-disclosure(10178)
(UNKNOWN)  BID  5789

- 漏洞信息

Invision Board phpinfo.php远程信息泄露漏洞
中危 配置错误
2002-10-11 00:00:00 2005-10-20 00:00:00
        Invision Board是一款基于PHP的留言板程序。
        Invision Board安装时不恰当地拷贝了脚本文件,远程攻击者可以利用这个漏洞获得系统敏感信息。
        Invision Board安装时会拷贝phpinfo.php文件到应用程序当前目录,文件包含对phpinfo()的调用,攻击者可以直接调用这个php脚本文件,获得PHP模块信息、设置、系统变量等信息。

- 公告与补丁

        * 删除phpinfo.php脚本。
        Invision PS

- 漏洞信息

Invision Power Board phpinfo.php Information Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality

- 漏洞描述

Invision Power Board contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when a remote attacker requests the phpinfo.php file, which will disclose system variables, path names, modules of Apache, PHP setup optoins, and more, resulting in a loss of confidentiality.

- 时间线

2002-09-24 Unknow
2002-09-24 Unknow

- 解决方案

Currently, there are no known upgrades or patches to correct this issue. It is possible to correct the flaw by implementing the following workaround: Remove the phpinfo.php file from the web server.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Invision Board PHPINFO.PHP Information Disclosure Vulnerability
Configuration Error 5789
Yes No
2002-09-24 12:00:00 2009-07-11 05:06:00
Discovery of this issue is credited to Gossi The Dog <>.

- 受影响的程序版本

Invision Power Services Invision Board 1.0.1
Invision Power Services Invision Board 1.0

- 漏洞讨论

Invision Board, in the suggestion installation, may disclose sensitive information to remote attackers.

The suggested installation procedure suggests that users include the 'phpinfo.php' script. This script provides information about the environment that the software is running in. If remote attackers access this script, this may disclose sensitive information which may assist in further attacks.

- 漏洞利用

This issue may be exploited with a web browser.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 相关参考